Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.content
Class DocumentCollectionSaxSource

    java.lang.Object
      com.servingxml.components.content.DocumentCollectionSaxSource

All Implemented Interfaces:
  SaxSource

    public class DocumentCollectionSaxSource

extends java.lang.Object
implements SaxSource

Constructor Summary
`DocumentCollectionSaxSource(ServiceContext context, Flow flow, Name documentElementName, java.lang.String documentElementQname, Content[] contentFactories)`

Method Summary
`org.xml.sax.XMLReader` | `createXmlReader()`
`java.util.Properties` | `getDefaultOutputProperties()`
`Expirable` | `getExpirable()`
`Key` | `getKey()`
`java.lang.String` | `getSystemId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentCollectionSaxSource

    public DocumentCollectionSaxSource(ServiceContext context,
                                       Flow flow,
                                       Name documentElementName,
                                       java.lang.String documentElementQname,
                                       Content[] contentFactories)

Method Detail

### createXmlReader

    public org.xml.sax.XMLReader createXmlReader()

  Specified by:
    `createXmlReader` in interface `SaxSource`

### getKey

    public Key getKey()

  Specified by:
    `getKey` in interface `SaxSource`

### getExpirable

    public Expirable getExpirable()

  Specified by:
    `getExpirable` in interface `SaxSource`

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `SaxSource`

### getDefaultOutputProperties

    public java.util.Properties getDefaultOutputProperties()

  Specified by:
    `getDefaultOutputProperties` in interface `SaxSource`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD